/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#include "GraphEditor/AssetActions_InworldCustomEdge.h"
#include "Graph/Edges/InworldEdge_WithCondition.h"

#define LOCTEXT_NAMESPACE "AssetActions_InworldGraph"

FAssetActions_InworldCustomEdge::FAssetActions_InworldCustomEdge(EAssetTypeCategories::Type InAssetCategory)
	: MyAssetCategory(InAssetCategory)
{
}

FText FAssetActions_InworldCustomEdge::GetName() const
{
	return LOCTEXT("FInworldAssetActions_CreateCustomEdge", "Inworld Custom Edge");
}

FColor FAssetActions_InworldCustomEdge::GetTypeColor() const
{
	return FColor::White;
}

UClass* FAssetActions_InworldCustomEdge::GetSupportedClass() const
{
	return UInworldEdge_WithCondition::StaticClass();
}

uint32 FAssetActions_InworldCustomEdge::GetCategories()
{
	return MyAssetCategory;
}

//////////////////////////////////////////////////////////////////////////

#undef LOCTEXT_NAMESPACE
